@import '../../../../../scss/variables.scss';
@import "../../../../../../node_modules/bulma/sass/utilities/_all.sass";


.dropdown-item{
  text-overflow: ellipsis;
  overflow: hidden;
}
.dropdown-trigger .button {
  justify-content: space-between;

  svg {
    width: 1rem;
    height: 0.6rem;
  }
}

.dropdown-menu {
  height: 2.5rem;
}

// Mobile: dropdown displays at 100%.
.dropdown,
.dropdown-trigger,
.dropdown-trigger button,
.dropdown-menu,
.dropdown-content {
  width: 100%;
}

// Remove Bulma default 100% width for tablet and desktop
@media screen and (min-width: $tablet) {

  .dropdown,
  .dropdown-trigger,
  .dropdown-trigger button,
  .dropdown-menu,
  .dropdown-content {
    // width: unset;
    max-width: 350px;
  }
}

label,
p,
span {
  color: $brand-color;
}

.is-hidden {
  display: none;
}

aside {
  padding-right: 1rem;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.filter-label {
  padding: 0.5rem 0 0.5rem 1.5rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
  background-color: transparent;
  border: none;
  width: 100%;

  span {
    font-size: $size-5;
    color: $grey-dark-color;
  }

  img.icon-plus-minus {
    height: 13px;
    width: 13px;
  }

  &:hover, &:focus, &:active {
    font-weight: 600;
  }
}

.filter-items {
  display: none;
  padding-left: 1.5rem;

  &.is-active {
    display: block;
  }
}

aside.is-active {
  background-color: white;

  .filter-label {
    background-color: white;

    span {
      color: $brand-color;
      font-weight: 600;
    }
  }

  .filter-items {
    background-color: white;
    margin-top: 0.75rem;
  }
}

.toggle-button {
  cursor: pointer;
  margin-top: 0.75rem;

  &:hover {
    text-decoration: underline;
  }
}

.filter-item {
  > div:first-of-type {
    overflow: hidden;
    white-space: nowrap;
  }

  .field {
    display: inline-block;
  }


  .icon-toggle-sub {
    cursor: pointer;

    svg {
      width: 0.8rem;
      height: 0.6rem;
      position: relative;
      left: -5px;
      transform: rotate(-90deg);
    }

    svg.is-active {
      transform: rotate(0deg);
    }
  }

  .column {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
  }

  label {
    margin-left: 0;
    font-size: $size-7;
  }
}

li {
  padding-bottom: 1rem;
}

.sub-aggregations {
  padding-left: 0.4rem;

  .sub-title {
    border-left: 1px solid #e2e2e2;
  }
}

a.link-without-decoration:hover {
  text-decoration: none;
  cursor: unset;
}

.count-agg {
  text-align: right;

  span.tag {
    height: unset;
    max-width: 100%;
    color: $grey-dark-color;
    background-color: unset;
  }
}

// Override checkbox radio Bulma extension

.is-checkradio[type="radio"] + label,
.is-checkradio[type="checkbox"] + label {
  padding-top: 0.3rem;
}

.is-checkradio[type="checkbox"] + label::before {
  width: 1rem;
  height: 1rem;
  top: 0.3rem;
}

.is-checkradio[type="checkbox"].is-small + label::after {
  width: 0.3069375rem;
  height: 0.4911rem;
  top: 0.5rem;
  left: 0.35rem;
}
